#!/usr/bin/perl
# Test /admin/role pages

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More;
use Test::Deep;

plan "no_plan";

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

# make uuid blank
my $sysprefs = Opsview::Web->model("OpsviewSchema::Systempreferences")->find(1);
$sysprefs->uuid('');
$sysprefs->update;

# check is blank
$sysprefs = Opsview::Web->model("OpsviewSchema::Systempreferences")->find(1);
ok( $sysprefs->uuid eq "", "UUID successfully blanked." );

# generate uuid
Opsview::Web->generate_uuid();

# check uuid value
$sysprefs = Opsview::Web->model("OpsviewSchema::Systempreferences")->find(1);
my $uuid = $sysprefs->uuid;
like( $uuid, '/^[0-9a-f]{8}-([0-9a-f]{4}-){3}[0-9a-f]{12}$/i', "UUID is now a valid UUID: " . $sysprefs->uuid );

# generate uuid again
Opsview::Web->generate_uuid();

# check uuid is the same as before
$sysprefs = Opsview::Web->model("OpsviewSchema::Systempreferences")->find(1);
ok( $uuid eq $sysprefs->uuid, "UUID remains the same after another startup, and is therefore constant." );


1;

