#!/usr/bin/perl
# Test snmptraprule

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep; 
use Opsview::Test qw(opsview);

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);
use lib "$Bin/lib";
use Opsview::TestUtils;

my $admin = Test::WWW::Mechanize::Catalyst->new;
log_in( $admin, 'admin', 'initial' );

$admin->get_ok("/admin/snmptraprule/list?snmptrapexception=10&servicecheck=2");
$admin->content_contains("Service check 'PowerChute' is not of type SNMP Trap");

$admin->get_ok("/admin/snmptraprule/list?snmptrapexception=10&servicecheck=99999");
$admin->content_contains("Service check does not exist");

$admin->get_ok("/admin/snmptraprule/list?servicecheck=79");
$admin->content_contains("Check coldstart");
$admin->content_contains("Otherwise Ok");

$admin->get_ok("/admin/snmptraprule/unique?servicecheck=79&name=Check+coldstart");
is( $admin->content, '{"ResultSet":0}', "Is not unique" );

$admin->get_ok("/admin/snmptraprule/unique?servicecheck=79&name=Check+coldstart+999");
is( $admin->content, '{"ResultSet":1}', "Is unique" );

$admin->get_ok("/admin/snmptraprule/unique?servicecheck=79&name=Check+coldstart+999&random=stuff");
is( $admin->content, '{"ResultSet":1}', "No error due to parameters used in unique searches" );

