#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;

use Opsview::Test qw(opsview);
use Test::WWW::Mechanize;

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize->new;

log_in( $mech, 'admin', 'initial', "http://localhost:3000" );

$mech->get_ok("/admin/servicecheck/info_for_monitors_list/96?checked=true&state=add&via=host");
$mech->content_contains('id="div_event_handler_96_add"');
$mech->content_contains('id="div_event_handler_96_add" style="display:none"', 'The event handler should be blank');

$mech->get_ok("/admin/host/edit/4");
$mech->content_contains('<div id="div_event_handler_29_add">', 'From host edit page, get custom event handler');

