#!perl

use warnings;
use strict;

use FindBin qw($Bin);
use lib "$Bin/../lib";
use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Opsview::Test qw(opsview);
use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);
use HTTP::Cookies;
use Sys::Hostname;

use Opsview;
use Opsview::Contact;

use lib "$Bin/lib";
use Opsview::Web::Test;
use Opsview::TestUtils;

use Test::More qw(no_plan);
use Test::Deep;

my $ua = Test::WWW::Mechanize::Catalyst->new( autocheck => 0 );

my $hostname = Sys::Hostname::hostname;
$hostname = "localhost:3000";

# No cookies here - should get login page
log_in( $ua, "admin", "initial" );

$ua->get("/admin/hostgroup/edit/5");
ok( $ua->res->is_success, "Got Host Group edit page for Leaf2" );
like( $ua->res->content, "/Host Group &gt; Edit: Leaf2/", "Right hostgroup" );
$ua->form_name("main_form");
$ua->field( 'name', "leaf2" );
$ua->current_form->action;
$ua->submit;

ok( $ua->res->is_success, "Successful submit" );
like( $ua->res->content, "/meta.*refresh/", "Got refresh page" );

# Some more tests for other error names
$ua->get("/admin/hostgroup/edit/4");
ok( $ua->res->is_success, "Got Host Group edit page for leaf" );
like( $ua->res->content, "/Host Group &gt; Edit: Leaf/", "Right hostgroup" );
$ua->form_name("main_form");
$ua->field( 'name', "leaf2" );
$ua->current_form->action;
$ua->submit;

is( $ua->status, 500, "Got a page back but ..." );
like( $ua->res->content, "/There has been an error in the Opsview application.*Host group name leaf2 has already been used for a leaf/s", "caught error (usually ajax will stop it before here)" );
