#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;

log_in( $mech, 'admin', 'initial' );

$mech->get_ok("/admin/hypergraph/index");
$mech->title_is("Opsview > Parent Tree");

# Check old URL is also okay
$mech->get_ok("/admin/hypergraph/");
$mech->title_is("Opsview > Parent Tree");

# Check get error with other stuff
$mech->get("/admin/hypergraph/META-INF/services/javax.xml.parsers.SAXParserFactory");
is( $mech->status, 401, "Got 401" );
is( $mech->content, " ", "with no content");

